/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.youtube.model;

import com.google.api.client.json.GenericJson;

/**
 * Geographical coordinates of a point, in WGS84.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class GeoPoint extends GenericJson {

  /**
   * Altitude above the reference ellipsoid, in meters.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Double altitude;

  /**
   * Latitude in degrees.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Double latitude;

  /**
   * Longitude in degrees.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Double longitude;

  /**
   * Altitude above the reference ellipsoid, in meters.
   * The value returned may be {@code null}.
   */
  public Double getAltitude() {
    return altitude;
  }

  /**
   * Altitude above the reference ellipsoid, in meters.
   * The value set may be {@code null}.
   */
  public GeoPoint setAltitude(Double altitude) {
    this.altitude = altitude;
    return this;
  }

  /**
   * Latitude in degrees.
   * The value returned may be {@code null}.
   */
  public Double getLatitude() {
    return latitude;
  }

  /**
   * Latitude in degrees.
   * The value set may be {@code null}.
   */
  public GeoPoint setLatitude(Double latitude) {
    this.latitude = latitude;
    return this;
  }

  /**
   * Longitude in degrees.
   * The value returned may be {@code null}.
   */
  public Double getLongitude() {
    return longitude;
  }

  /**
   * Longitude in degrees.
   * The value set may be {@code null}.
   */
  public GeoPoint setLongitude(Double longitude) {
    this.longitude = longitude;
    return this;
  }

}
