/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.youtube.model;

import com.google.api.client.json.GenericJson;

/**
 * Describes an invideo promotion campaign consisting of multiple promoted items. A campaign belongs
 * to a single channel_id.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class InvideoPromotion extends GenericJson {

  /**
   * The default temporal position within the video where the promoted item will be displayed. Can
   * be overriden by more specific timing in the item.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private InvideoTiming defaultTiming;

  /**
   * List of promoted items in decreasing priority.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<PromotedItem> items;

  static {
    // hack to force ProGuard to consider PromotedItem used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(PromotedItem.class);
  }

  /**
   * The spatial position within the video where the promoted item will be displayed.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private InvideoPosition position;

  /**
   * The default temporal position within the video where the promoted item will be displayed. Can
   * be overriden by more specific timing in the item.
   * The value returned may be {@code null}.
   */
  public InvideoTiming getDefaultTiming() {
    return defaultTiming;
  }

  /**
   * The default temporal position within the video where the promoted item will be displayed. Can
   * be overriden by more specific timing in the item.
   * The value set may be {@code null}.
   */
  public InvideoPromotion setDefaultTiming(InvideoTiming defaultTiming) {
    this.defaultTiming = defaultTiming;
    return this;
  }

  /**
   * List of promoted items in decreasing priority.
   * The value returned may be {@code null}.
   */
  public java.util.List<PromotedItem> getItems() {
    return items;
  }

  /**
   * List of promoted items in decreasing priority.
   * The value set may be {@code null}.
   */
  public InvideoPromotion setItems(java.util.List<PromotedItem> items) {
    this.items = items;
    return this;
  }

  /**
   * The spatial position within the video where the promoted item will be displayed.
   * The value returned may be {@code null}.
   */
  public InvideoPosition getPosition() {
    return position;
  }

  /**
   * The spatial position within the video where the promoted item will be displayed.
   * The value set may be {@code null}.
   */
  public InvideoPromotion setPosition(InvideoPosition position) {
    this.position = position;
    return this;
  }

}
