/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.youtube.model;

import com.google.api.client.json.GenericJson;

/**
 * A thumbnail is an image representing a YouTube resource.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Thumbnail extends GenericJson {

  /**
   * (Optional) Height of the thumbnail image.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Long height;

  /**
   * The thumbnail image's URL.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String url;

  /**
   * (Optional) Width of the thumbnail image.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Long width;

  /**
   * (Optional) Height of the thumbnail image.
   * The value returned may be {@code null}.
   */
  public Long getHeight() {
    return height;
  }

  /**
   * (Optional) Height of the thumbnail image.
   * The value set may be {@code null}.
   */
  public Thumbnail setHeight(Long height) {
    this.height = height;
    return this;
  }

  /**
   * The thumbnail image's URL.
   * The value returned may be {@code null}.
   */
  public String getUrl() {
    return url;
  }

  /**
   * The thumbnail image's URL.
   * The value set may be {@code null}.
   */
  public Thumbnail setUrl(String url) {
    this.url = url;
    return this;
  }

  /**
   * (Optional) Width of the thumbnail image.
   * The value returned may be {@code null}.
   */
  public Long getWidth() {
    return width;
  }

  /**
   * (Optional) Width of the thumbnail image.
   * The value set may be {@code null}.
   */
  public Thumbnail setWidth(Long width) {
    this.width = width;
    return this;
  }

}
