/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.youtube.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for ThumbnailSetResponse.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class ThumbnailSetResponse extends GenericJson {

  /**
   * Etag of this resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String etag;

  /**
   * Serialized EventId of the request which produced this response.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String eventId;

  /**
   * A list of thumbnails.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<ThumbnailDetails> items;

  static {
    // hack to force ProGuard to consider ThumbnailDetails used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(ThumbnailDetails.class);
  }

  /**
   * The kind, fixed to "youtube#thumbnailSetResponse".
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The visitorId identifies the visitor.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String visitorId;

  /**
   * Etag of this resource.
   * The value returned may be {@code null}.
   */
  public String getEtag() {
    return etag;
  }

  /**
   * Etag of this resource.
   * The value set may be {@code null}.
   */
  public ThumbnailSetResponse setEtag(String etag) {
    this.etag = etag;
    return this;
  }

  /**
   * Serialized EventId of the request which produced this response.
   * The value returned may be {@code null}.
   */
  public String getEventId() {
    return eventId;
  }

  /**
   * Serialized EventId of the request which produced this response.
   * The value set may be {@code null}.
   */
  public ThumbnailSetResponse setEventId(String eventId) {
    this.eventId = eventId;
    return this;
  }

  /**
   * A list of thumbnails.
   * The value returned may be {@code null}.
   */
  public java.util.List<ThumbnailDetails> getItems() {
    return items;
  }

  /**
   * A list of thumbnails.
   * The value set may be {@code null}.
   */
  public ThumbnailSetResponse setItems(java.util.List<ThumbnailDetails> items) {
    this.items = items;
    return this;
  }

  /**
   * The kind, fixed to "youtube#thumbnailSetResponse".
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * The kind, fixed to "youtube#thumbnailSetResponse".
   * The value set may be {@code null}.
   */
  public ThumbnailSetResponse setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The visitorId identifies the visitor.
   * The value returned may be {@code null}.
   */
  public String getVisitorId() {
    return visitorId;
  }

  /**
   * The visitorId identifies the visitor.
   * The value set may be {@code null}.
   */
  public ThumbnailSetResponse setVisitorId(String visitorId) {
    this.visitorId = visitorId;
    return this;
  }

}
