/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.youtube.model;

import com.google.api.client.json.GenericJson;
import com.google.api.client.util.DateTime;

/**
 * Recording information associated with the video.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class VideoRecordingDetails extends GenericJson {

  /**
   * The geolocation information associated with the video.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private GeoPoint location;

  /**
   * The text description of the location where the video was recorded.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String locationDescription;

  /**
   * The date and time when the video was recorded. The value is specified in ISO 8601 (YYYY-MM-
   * DDThh:mm:ss.sZ) format.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private DateTime recordingDate;

  /**
   * The geolocation information associated with the video.
   * The value returned may be {@code null}.
   */
  public GeoPoint getLocation() {
    return location;
  }

  /**
   * The geolocation information associated with the video.
   * The value set may be {@code null}.
   */
  public VideoRecordingDetails setLocation(GeoPoint location) {
    this.location = location;
    return this;
  }

  /**
   * The text description of the location where the video was recorded.
   * The value returned may be {@code null}.
   */
  public String getLocationDescription() {
    return locationDescription;
  }

  /**
   * The text description of the location where the video was recorded.
   * The value set may be {@code null}.
   */
  public VideoRecordingDetails setLocationDescription(String locationDescription) {
    this.locationDescription = locationDescription;
    return this;
  }

  /**
   * The date and time when the video was recorded. The value is specified in ISO 8601 (YYYY-MM-
   * DDThh:mm:ss.sZ) format.
   * The value returned may be {@code null}.
   */
  public DateTime getRecordingDate() {
    return recordingDate;
  }

  /**
   * The date and time when the video was recorded. The value is specified in ISO 8601 (YYYY-MM-
   * DDThh:mm:ss.sZ) format.
   * The value set may be {@code null}.
   */
  public VideoRecordingDetails setRecordingDate(DateTime recordingDate) {
    this.recordingDate = recordingDate;
    return this;
  }

}
