/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.youtube.model;

import com.google.api.client.json.GenericJson;

/**
 * Branding properties for the watch.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class WatchSettings extends GenericJson {

  /**
   * The text color for the video watch page's branded area.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String backgroundColor;

  /**
   * An ID that uniquely identifies a playlist that displays next to the video player.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String featuredPlaylistId;

  /**
   * The background color for the video watch page's branded area.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String textColor;

  /**
   * The text color for the video watch page's branded area.
   * The value returned may be {@code null}.
   */
  public String getBackgroundColor() {
    return backgroundColor;
  }

  /**
   * The text color for the video watch page's branded area.
   * The value set may be {@code null}.
   */
  public WatchSettings setBackgroundColor(String backgroundColor) {
    this.backgroundColor = backgroundColor;
    return this;
  }

  /**
   * An ID that uniquely identifies a playlist that displays next to the video player.
   * The value returned may be {@code null}.
   */
  public String getFeaturedPlaylistId() {
    return featuredPlaylistId;
  }

  /**
   * An ID that uniquely identifies a playlist that displays next to the video player.
   * The value set may be {@code null}.
   */
  public WatchSettings setFeaturedPlaylistId(String featuredPlaylistId) {
    this.featuredPlaylistId = featuredPlaylistId;
    return this;
  }

  /**
   * The background color for the video watch page's branded area.
   * The value returned may be {@code null}.
   */
  public String getTextColor() {
    return textColor;
  }

  /**
   * The background color for the video watch page's branded area.
   * The value set may be {@code null}.
   */
  public WatchSettings setTextColor(String textColor) {
    this.textColor = textColor;
    return this;
  }

}
